﻿using Connected.Configuration.Authentication;
using Connected.Configuration.Endpoints;

namespace Connected.Configuration;

internal class ConfigurationService : IConfigurationService
{
	public ConfigurationService()
	{
		Endpoint = new EndpointConfiguration();
		Storage = new StorageConfiguration();
	}

	public IEndpointConfiguration Endpoint { get; }

	public IAuthenticationConfiguration Authentication => throw new NotImplementedException();
	public IStorageConfiguration Storage { get; }

	/*
	 * TODO: hardcoded
	 */
	public ProcessType Type => ProcessType.BackEnd;
}
